# Class LogSkipList

java.lang.Object
org.apache.zookeeper.graph.LogSkipList

public class LogSkipList extends Object
Generic skip list for holding a rough index of a log file. When the log file is loaded, this index is built by adding a mark every n entries. Then when a specific time position is requested from the file, a point at most n-1 entries before the time position can be jumped to.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`LogSkipList.Mark`

## Constructor Summary

Constructors
Constructor
Description
`LogSkipList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addMark(long time, long bytes, long skipped)`
`LogSkipList.Mark`
`findMarkBefore(long time)`
Find the last mark in the skip list before time.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogSkipList

public LogSkipList()

## Method Details

### addMark

public void addMark(long time, long bytes, long skipped)

### findMarkBefore

public LogSkipList.Mark findMarkBefore(long time) throws NoSuchElementException
Find the last mark in the skip list before time.

Throws:
  `NoSuchElementException`